Summary: The VRML97 Library
Name: libvrml97
%define version 0.8.2
Version: %{version}
Release: 1a
Copyright: Chris Morley
Group: Libraries
Source0: libvrml97-%{version}.tar.gz
Patch0:  libvrml97-%{version}-va.patch
Patch1:  libvrml97-%{version}-noerrorcheck.patch
BuildRoot: /tmp/libvrml97-root
Prefix: /usr
Obsoletes: vrml97

%description
LibVRML97 is a portable C++ class library for reading and displaying
VRML97 files. A number of example programs showing how to integrate
this library into various window system toolkits are provided, including
a browser based on GLUT.

The code is copyrighted, but is provided free of charge for any purpose.
The library includes the SGI VRML2 parser, which has its own copyright
(see README-SGI.txt) and uses other libraries which may have their own
restrictions. The xmlookat example program is provided under the GPL.

%package devel
Summary: Development tools for libvrml97 applications.
Group: Development/Libraries
Requires: %{name} = %{PACKAGE_VERSION}

%description devel
The libvrml97-devel package contains static libraries and header files 
necessary for development of vrml97 applications.


%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%{prefix} --with-glut-prefix=%{prefix}/X11R6
make CC="gcc $RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS NODES README* TODO lookat/wrl
/usr/bin/lookat
/usr/lib/libvrml97js.so.0.0.0
/usr/lib/libvrml97.so.1.0.0
/usr/lib/libvrml97gl.so.0.0.1
/usr/share/aclocal/vrml97.m4
/usr/share/aclocal/vrml97gl.m4

%files devel
%dir /usr/include/vrml97js/
%dir /usr/include/vrml97/
%dir /usr/include/vrml97gl/
/usr/include/vrml97.h
/usr/include/vrml97gl.h
/usr/include/vrml97js/*
/usr/include/vrml97/*
/usr/include/vrml97gl/*

/usr/lib/libvrml97js.so
/usr/lib/libvrml97js.a
/usr/lib/libvrml97.so
/usr/lib/libvrml97.a
/usr/lib/libvrml97gl.so
/usr/lib/libvrml97gl.a

